import security;
import cloud;
import aiohttp;
import asyncio;
import discover;
import device;

async def test():
    cl = cloud.MSmartHomeCloud(
        "MSmartHome",
        aiohttp.ClientSession(),
        "michaelh.95@t-online.de",
        "Hoda.semi1"
    )

    devices = discover.discover()

    if await cl.login():
        for device_id in devices:
            keys = await cl.get_keys(device_id)

            for k in keys:
                token = keys[k]['token']
                key = keys[k]['key']

                device_info = devices[device_id]

                dev = device.MiedaDevice(
                    name="",
                    device_id=device_id,
                    device_type=225,
                    ip_address=device_info['ip_address'],
                    port=device_info['port'],
                    token=token,
                    key=key,
                    protocol=3,
                    model=device_info['model'],
                    attributes={}
                )

                if dev.connect(False):
                    return dev

dev = asyncio.run(test())

print(dev)

